SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON
GO

ALTER VIEW dbo.vwapGetVoucherBatchVoucherLine
AS
SELECT BatchNumber, VoucherNumber, VoucherLineNumber, Qty, 
    QtyAccepted, UnitCost, UnitCostAccepted, ExtendedCost, 
    ExtendedCostAccepted, QtyExpected, UnitCostExpected, 
    ExtendedCostExpected, Notes,
    FreightBurdenPct, DutyBurdenPct, BrokerageBurdenPct,
    DateAdded, UserIdAdded, DateMod, UserIdMod, 
    STUFF(SPACE(8), 1, DATALENGTH(BatchNumber), BatchNumber) + 
    STUFF(SPACE(8), 1, DATALENGTH(VoucherNumber), VoucherNumber) +
    STUFF(SPACE(4), 1, DATALENGTH(VoucherLineNumber), VoucherLineNumber) AS IdentityKey
FROM tblapVoucherBatchVoucherLine

GO
SET QUOTED_IDENTIFIER OFF
GO
SET ANSI_NULLS ON 
GO
